PostscriptParser (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fonts.type1

## Class PostscriptParser

- java.lang.Object
- - org.apache.fop.fonts.type1.PostscriptParser

-     public class PostscriptParser
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `PostscriptParser.PSDictionary` An object representing a Postscript dictionary
    `class` | `PostscriptParser.PSElement` A base Postscript element class
    `class` | `PostscriptParser.PSFixedArray` An object representing a Postscript array with a fixed number of entries
    `class` | `PostscriptParser.PSSubroutine` An object representing a Postscript subroutine element
    `class` | `PostscriptParser.PSVariable` An object representing a Postscript variable
    `class` | `PostscriptParser.PSVariableArray` An object representing a Postscript array with a variable number of entries

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.commons.logging.Log` | `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostscriptParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PostscriptParser.PSElement` | `createElement(java.lang.String operator, java.lang.String elementID, int startPoint)`
    `java.util.List<PostscriptParser.PSElement>` | `parse(byte[] segment)` Parses the postscript document and returns a list of elements

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          protected static final org.apache.commons.logging.Log LOG

  - ### Constructor Detail

    - #### PostscriptParser

          public PostscriptParser()

  - ### Method Detail

    - #### parse

          public java.util.List<PostscriptParser.PSElement> parse(byte[] segment)
                                                           throws java.io.IOException

      Parses the postscript document and returns a list of elements
      Parameters:
        `segment` - The byte array containing the postscript data
      Returns:
        A list of found Postscript elements
      Throws:
        `java.io.IOException`

    - #### createElement

          public PostscriptParser.PSElement createElement(java.lang.String operator,
                                                          java.lang.String elementID,
                                                          int startPoint)

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.